import { Service } from 'reactant-module';
import { Dispatch } from 'redux';
interface Scheme<S, A> {
    name: string;
    reducers: S;
    actions: A;
}
type State<T extends Record<string, (...args: any[]) => any>> = {
    [P in keyof T]: ReturnType<T[P]>;
};
type Actions<T extends Record<string, (...args: any[]) => any>> = {
    [P in keyof T]: (...parameters: Parameters<T[P]>) => void;
};
export declare const redux: <S extends Record<string, any>, A extends Record<string, (...args: any[]) => (dispatch: Dispatch) => void>>(scheme: Scheme<S, A>) => Actions<A> & Service<State<S>> & State<S>;
export {};
//# sourceMappingURL=redux.d.ts.map